<?php

class actionRotatorbannersAddbanner extends cmsAction {
    
    public function run($position_id) {
        
        if (!$position_id) { cmsCore::error404(); }
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
        
        $position = $this->model->getPosition($position_id);
        
        if (!$position) { cmsCore::error404(); }
        
        $errors = false;
        
        $form = $this->getForm('banner');
        
        $is_submitted = $this->request->has('submit');
        
        $banner = $form->parse($this->request, $is_submitted);
        
        if ($is_submitted){
            
            $errors = $form->validate($this, $banner);
            
            if (!$errors){
                $banner['position_id'] = $position_id;
                $this->model->addBanner($banner);
                $this->redirectToAction('position', array($position_id));
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
            
        }
        
        $template = cmsTemplate::getInstance();
        
        $template->render('form_banner', array(
            'do' => 'add',
            'form' => $form,
            'errors' => $errors,
            'position' => $position,
            'banner' => $banner
        ));
        
    }
    
}