<?php

class actionRotatorbannersAddposition extends cmsAction {
    
    public function run() {
        
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
        
        $errors = false;
        
        $form = $this->getForm('position');
        
        $is_submitted = $this->request->has('submit');
        
        $position = $form->parse($this->request, $is_submitted);
        
        if ($is_submitted){
            
            $errors = $form->validate($this, $position);
            
            if (!$errors){
                $position_id = $this->model->addPosition($position);
                $this->redirectToAction('position', array($position_id));
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
            
        }
        
        $template = cmsTemplate::getInstance();
        
        $template->render('form_position', array(
            'do' => 'add',
            'form' => $form,
            'errors' => $errors,
            'position' => $position
        ));
        
    }
    
}