<?php

class actionRotatorbannersEditbanner extends cmsAction {
    
    public function run($id=false) {
        
        if (!$id) { cmsCore::error404(); }
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
        
        $banner = $this->model->getBanner($id);
        
        if (!$banner) { cmsCore::error404(); }
        
        $position = $this->model->getPosition($banner['position_id']);
        
        if (!$position) { cmsCore::error404(); }
        
        $errors = false;
        
        $form = $this->getForm('banner');
        
        $is_submitted = $this->request->has('submit');
        
        if ($is_submitted){
            
            $banner = $form->parse($this->request, $is_submitted);
            
            $errors = $form->validate($this, $banner);
            
            if (!$errors){
                $this->model->updateBanner($id, $banner);
                $this->redirectToAction('position', array($position['id']));
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
            
        }
        
        $template = cmsTemplate::getInstance();
        
        $template->render('form_banner', array(
            'do' => 'edit',
            'form' => $form,
            'errors' => $errors,
            'banner' => $banner,
            'position' => $position
        ));
        
    }
    
}