<?php

class actionRotatorbannersEditposition extends cmsAction {
    
    public function run($id=false) {
        
        if (!$id) { cmsCore::error404(); }
        if (!cmsUser::isAdmin()) { cmsCore::error404(); }
        
        $position = $this->model->getPosition($id);
        
        if (!$position) { cmsCore::error404(); }
        
        $errors = false;
        
        $form = $this->getForm('position');
        
        $is_submitted = $this->request->has('submit');
        
        if ($is_submitted){
            
            $position = $form->parse($this->request, $is_submitted);
            
            $errors = $form->validate($this, $position);
            
            if (!$errors){
                $this->model->updatePosition($id, $position);
                $this->redirectToAction('position', array($id));
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
            
        }
        
        $template = cmsTemplate::getInstance();
        
        $template->render('form_position', array(
            'do' => 'edit',
            'form' => $form,
            'errors' => $errors,
            'position' => $position
        ));
        
    }
    
}