<?php

class modelRotatorbanners extends cmsModel {
    
    public function addPosition($position){
        
        return $this->insert('rotatorbanners', $position);
        
    }
    
    public function updatePosition($id, $position){
        
        return $this->update('rotatorbanners', $id, $position);
        
    }
    
    public function deletePosition($id){
        
        $banners = $this->getBanners($id);
        
        foreach($banners as $banner) {
            $this->deleteBanner($banner['id']);
        }
        
        return $this->delete('rotatorbanners', $id);
        
    }

    public function getPosition($id){
        
        $position = $this->getItemById('rotatorbanners', $id);
        
        $this->filterEqual('position_id', $id);
        
        $this->orderBy('id', 'asc');
        
        $position['banners'] = $this->get('rotatorbanners_banners');
        
        return $position;
        
    }
    
    public function getPositions(){
        
        return $this->get('rotatorbanners');
        
    }
    
    public function getPositionsCount(){
        
        return $this->getCount('rotatorbanners');
        
    }
    
    public function addBanner($banner){
        
        return $this->insert('rotatorbanners_banners', $banner);
        
    }
    
    public function updateBanner($id, $banner){
        
        return $this->update('rotatorbanners_banners', $id, $banner);
        
    }
    
    public function deleteBanner($id){
        
        $config = cmsConfig::getInstance();
        
        $banner = $this->getBanner($id);
        
        $files = self::yamlToArray($banner['file']);
        if (is_array($files)){
            foreach ($files as $path){
                @unlink( $config->upload_path . $path );
            }
            
        }
        
        return $this->delete('rotatorbanners_banners', $id);
        
    }
    
    public function getBanner($id){
        
        return $this->getItemById('rotatorbanners_banners', $id);
        
    }
    
    public function getBanners($position_id){
        
        $this->filterEqual('position_id', $position_id);
        
        return $this->get('rotatorbanners_banners');
        
    }
    
    public function getBannerShow($position_id){
        
        $this->filterEqual('position_id', $position_id);
        $this->filterEqual('is_public', 1);
        $this->filterLtEqual('date_start', date('Y-m-d H:i:s'));
        $this->filterGtEqual('date_end', date('Y-m-d H:i:s'));
        $this->filter('max_display > hits OR max_display = 0');
        $this->filter('max_clicks > clicks OR max_clicks = 0');
        
        $this->order_by = "RAND()";
        
        return $this->getItem('rotatorbanners_banners');
        
    }
    
    public function setBannerHit($id){
                
        $this->filterEqual('id', $id);
        
        $this->increment('rotatorbanners_banners', 'hits');
        
    }
    
    public function setBannerClick($id){
                
        $this->filterEqual('id', $id);
        
        $this->increment('rotatorbanners_banners', 'clicks');
        
    }
    
}

