<?php

    if (!cmsUser::isAdmin()) { cmsCore::error404(); }

    $this->setPageTitle($position['title']);
    
    $this->addBreadcrumb(LANG_ROTATORBANNERS_CONTROLLER, $this->href_to(''));
    $this->addBreadcrumb($position['title']);
    
    
    
    if (cmsUser::isAdmin()){
        
        $this->addToolButton(array(
            'class' => 'add', 
            'title' => LANG_ROTATORBANNERS_BANNERS_ADD,
            'href' => $this->href_to('addbanner', $position['id'])
        ));
        
        $this->addToolButton(array(
            'class' => 'edit', 
            'title' => LANG_ROTATORBANNERS_POSITIONS_EDIT,
            'href' => $this->href_to('editposition', $position['id'])
        ));
        
        $this->addToolButton(array(
            'class' => 'delete', 
            'title' => LANG_ROTATORBANNERS_POSITIONS_DELETE,
            'href' => $this->href_to('deleteposition', $position['id']),
            'confirm' => LANG_ROTATORBANNERS_POSITIONS_DELETE . '?'
        ));
        
    }

?>

<h1><?php html($position['title']); ?></h1>

<?php if ($position['banners']) { ?>

    <div class="rotatorbanners-banners">
        <?php foreach($position['banners'] as $banner) { ?>
        <div class="banners">
            <div class="image">
                <?php
                $config = cmsConfig::getInstance();
                $files = cmsModel::yamlToArray($banner['file']);
                if (is_array($files)){
                    if ($files['small']!='null') { echo html_image($banner['file'], 'small'); }
                    else echo '<object width="64" height="64" align="middle"><param value="'.$config->upload_root.$files['original'].'" name="movie"><param value="high" name="quality"><param value="opaque" name="wmode"><embed width="64" align="middle" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" wmode="opaque" quality="high" height="64" src="'.$config->upload_root.$files['original'].'"></object>';
                }
                ?>
            </div>
            <div class="title">
                <a title="<?php echo LANG_ROTATORBANNERS_BANNERS_EDIT ?>" href="<?php echo $this->href_to('editbanner', $banner['id']); ?>">
                    <?php echo html($banner['title']); ?>
                </a>
                <a class="info" target="_blank" title="<?php echo LANG_ROTATORBANNERS_BANNERS_STAT ?>" href="<?php echo $this->href_to('stat', $position['id'].'?id='.$banner['id'].'&hash='.md5($position['id'].'rotatorbanners'.$banner['id'])); ?>"></a>
                <a class="delete" title="<?php echo LANG_ROTATORBANNERS_BANNERS_DELETE ?>" href="<?php echo $this->href_to('deletebanner', $banner['id']); ?>" onclick="return confirm('<?php echo LANG_ROTATORBANNERS_BANNERS_DELETE ?>')"></a>
            </div>
            <div class="details">
                <span><?php echo html(LANG_ROTATORBANNERS_BANNERS_HITS.': '.$banner['hits']); ?></span>
                <span><?php echo html(LANG_ROTATORBANNERS_BANNERS_CLICKS.': '.$banner['clicks']); ?></span>
                <span><?php echo html(LANG_ROTATORBANNERS_BANNERS_CTR.': '.(round($banner['clicks']/$banner['hits']*100, 2)).'%'); ?></span>
            </div>
            <div class="details">
                <span><?php echo LANG_ROTATORBANNERS_BANNERS_PERIOD.': '.html_date_time($banner['date_start']).' - '.html_date_time($banner['date_end']); ?></span>
                <span><?php echo LANG_ROTATORBANNERS_BANNERS_ACTIVE.': '; if ($banner['is_public']==1) echo LANG_YES; else echo LANG_NO; ?></span>
            </div>
        </div>
        <?php } ?>
    </div>

<?php } ?>
